<?php
/*********************************************************************
    ajax.names.php

    AJAX interface for  user names(based on submitted tickets)
    XXX: osTicket doesn't support user accounts at the moment.

    Peter Rotich <peter@osticket.com>
    Copyright (c)  2006-2013 osTicket
    http://www.osticket.com

    Released under the GNU General Public License WITHOUT ANY WARRANTY.
    See LICENSE.TXT for details.

    vim: expandtab sw=4 ts=4 sts=4:
	
	Updated by Ryan Siegel
	http://everyday-tech.com
	
**********************************************************************/

if(!defined('INCLUDE_DIR')) die('403');

include_once(INCLUDE_DIR.'class.ticket.php');

class UsersAjaxAPI extends AjaxController {
   
    /* Search by PCName */
    function search() {

        if(!isset($_REQUEST['q'])) {
            Http::response(400, 'Query argument is required');
        }

        $limit = isset($_REQUEST['limit']) ? (int) $_REQUEST['limit']:20;
        $users=array();

        $sql='SELECT DISTINCT pcname, phone, email, name'
            .' FROM '.TICKET_TABLE
            .' WHERE pcname LIKE \'%'.db_input(strtolower($_REQUEST['q']), false).'%\' '
            .' ORDER BY created DESC'
            .' LIMIT '.$limit;
			
           
        if(($res=db_query($sql)) && db_num_rows($res)){
            while(list($pcname,$phone,$email,$name)=db_fetch_row($res)) {
                $pcnames[] = array('pcname'=>$pcname, 'phone'=>$phone, 'email'=>$email, 'name'=>$name,  'info'=>"$email - $name - $pcname - $phone");
            }                    
        }  
        
        return $this->json_encode($pcnames);

    }
}


?>